package controller;

/**
 * La classe EcouteurCrayon implante les méthodes correspondant
 * aux événements souris et déplacement de la souris
 * pour dessiner des segments les uns à la suite des autres.
 */

import java.awt.event.MouseEvent;

import model.Dessin;
import model.Trace;
import view.ZoneDeDessin;

public class EcouteurCrayon extends EcouteurSouris {
	private int xd, yd;
	private Trace trace;

	public EcouteurCrayon(Dessin dessin, ZoneDeDessin vue) {
		super(dessin, vue);
	}

	/* en tant que MouseListener */
	public void mousePressed(MouseEvent e) {
		xd = e.getX();
		yd = e.getY();
		trace = new Trace(xd, yd);
		modele.ajoute(trace);
	}

	/* en tant que MouseMotionListener */
	public void mouseDragged(MouseEvent e) {
		int x, y;
		x = e.getX();
		y = e.getY();
		trace.ajoute(x, y);
		vue.dessineTrait(xd, yd, x, y);
		xd = x;
		yd = y;
	}
}
