package controller;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import model.Dessin;
import view.ZoneDeDessin;

public class MainController implements KeyListener {
	private ZoneDeDessin vue;
	private EcouteurCrayon crayon;
	private EcouteurEtoile etoile;
	private EcouteurSouris courant;

	public MainController(Dessin dessin, ZoneDeDessin vue) {
		this.vue = vue;
		crayon = new EcouteurCrayon(dessin, vue);
		etoile = new EcouteurEtoile(dessin, vue);
		courant = null;
		changerOutil(crayon);
		vue.addKeyListener(this);
	}

	public void changerOutil(EcouteurSouris outil) {
		vue.removeMouseListener(courant);
		vue.removeMouseMotionListener(courant);
		vue.addMouseListener(outil);
		vue.addMouseMotionListener(outil);
		courant = outil;
	}

	/* en tant que KeyListener */
	public void keyPressed(KeyEvent e) {
	}

	public void keyReleased(KeyEvent e) {
	}

	public void keyTyped(KeyEvent e) {
		switch (e.getKeyChar()) {
		case 'e':
			changerOutil(etoile);
			break;
		case 'c':
			changerOutil(crayon);
			break;
		}
	}
}
